> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List ads analytics

> Retrieve analytics overview for all ads in a project.



## OpenAPI

````yaml get /projects/{project_id}/ads/analytics
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /projects/{project_id}/ads/analytics:
    parameters:
      - name: project_id
        in: path
        description: The numeric ID of your project
        required: true
        schema:
          type: string
    get:
      tags:
        - Analytics
      summary: Ads analytics
      description: Retrieve analytics overview for all ads in a project.
      operationId: ads#analytics_list
      parameters:
        - name: metrics[]
          in: query
          schema:
            type: array
            items:
              type: string
          required: false
          description: The metrics that you want to fetch data for
        - name: media_variants[]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - article
                - summary
          required: false
          description: The media variants to fetch data for
        - name: media_formats[]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - audio
                - video
          required: false
          description: The media formats to fetch data for
        - name: time_range[start]
          in: query
          required: false
          description: >-
            The start date of the aggregation period. The value of this property
            should be a string in
                      the format yyyy-mm-dd according to ISO 8601.
          schema:
            type: string
        - name: time_range[end]
          in: query
          required: false
          description: >-
            The end date of the aggregation period. The value of this property
            should be a string
                      in the format yyyy-mm-dd according to ISO 8601. If this is set to today, the current day is still
                      in progress and therefore only partial analytics data is returned until the day ends.
          schema:
            type: string
        - name: pagination[limit]
          in: query
          required: false
          description: '''limit'' sets the number of results to return in each page.'
          schema:
            type: integer
        - name: pagination[offset]
          in: query
          required: false
          description: >-
            'offset' sets the first position to return from the results of the
            query. The default is 0, which starts the page at the first result.
          schema:
            type: integer
        - name: order[by]
          in: query
          schema:
            type: string
            enum:
              - listens
          required: false
          description: >-
            This is used to order analytics by number of listens or average
            listen time or average listen duration
        - name: order[dir]
          in: query
          schema:
            type: string
            enum:
              - asc
              - desc
          required: false
          description: This is used to order analytics in the ascending or descending order
        - name: access_tiers[]
          in: query
          schema:
            type: array
            items:
              type: string
          required: false
          description: The access tiers to fetch data for
        - name: filter[title]
          in: query
          required: false
          schema:
            type: string
        - name: filter[ids][]
          in: query
          schema:
            type: array
            items:
              type: integer
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/analyticsCampaignsExample'
              schema:
                $ref: '#/components/schemas/analyticsCampaignsModel'
          headers:
            X-Pagination-Limit:
              description: |-
                The requested number of results to be returned for this request.
                          The actual number of results returned may be lower.
              schema:
                type: integer
              required: false
            X-Pagination-OffSet:
              description: >-
                The position of the first result in the response (before
                pagination was applied).
              schema:
                type: integer
              required: false
            X-BeyondWords-Order-By:
              description: The ordering field applied (if any).
              schema:
                type: string
              required: false
            X-BeyondWords-Order-Dir:
              description: The ordering direction applied (if any).
              schema:
                type: string
              required: false
            X-BeyondWords-Aggregation:
              description: Analytics aggregation
              schema:
                type: string
              required: false
            X-BeyondWords-Time-Range-Start:
              description: Analytics start time
              schema:
                type: string
              required: false
            X-BeyondWords-Time-Range-End:
              description: Analytics end time
              schema:
                type: string
              required: false
      security:
        - apiKey: []
components:
  examples:
    analyticsCampaignsExample:
      summary: Sample list of ads analytics response
      value:
        - id: 100
          title: First ad title
          player_impressions:
            total: 5000
            desktop: 2000
            tablet: 1000
            mobile_web: 0
            ios: 1000
            andriod: 1000
        - id: 101
          title: Second ad title
          player_impressions:
            total: 5000
            desktop: 2000
            tablet: 1000
            mobile_web: 0
            ios: 1000
            andriod: 1000
  schemas:
    analyticsCampaignsModel:
      type: array
      items:
        $ref: '#/components/schemas/analyticsCampaignModel'
    analyticsCampaignModel:
      type: object
      properties:
        id:
          type: integer
          description: Ad identifier
        title:
          type: integer
          description: Ad title (internal identifier)
        player_impressions:
          type: object
          properties:
            total:
              type: integer
              description: Total player loads associated with the ad
            desktop:
              type: integer
              description: Player loads on desktop devices
            tablet:
              type: integer
              description: Player loads on tablets
            mobile_web:
              type: integer
              description: Player loads on mobile web
            ios:
              type: integer
              description: Player loads on iOS devices
            android:
              type: integer
              description: Player loads on Android devices
        listens:
          type: object
          properties:
            total:
              type: integer
              description: Total plays associated with the ad
            desktop:
              type: integer
              description: Plays on desktop devices
            tablet:
              type: integer
              description: Plays on tablets
            mobile_web:
              type: integer
              description: Plays on mobile web
            ios:
              type: integer
              description: Plays on iOS devices
            android:
              type: integer
              description: Plays on Android devices
        completions:
          type: object
          properties:
            total:
              type: integer
              description: Completed plays (reached end) associated with the ad
            desktop:
              type: integer
            tablet:
              type: integer
            mobile_web:
              type: integer
            ios:
              type: integer
            android:
              type: integer
        completion_rate:
          type: object
          properties:
            total:
              type: integer
              description: Completion rate as a percentage (0–100)
            desktop:
              type: integer
            tablet:
              type: integer
            mobile_web:
              type: integer
            ios:
              type: integer
            android:
              type: integer
        clicks:
          type: object
          properties:
            total:
              type: integer
              description: Total ad click-throughs
            desktop:
              type: integer
            tablet:
              type: integer
            mobile_web:
              type: integer
            ios:
              type: integer
            android:
              type: integer
        click_rate:
          type: object
          properties:
            total:
              type: integer
              description: Click-through rate as a percentage (0–100)
            desktop:
              type: integer
            tablet:
              type: integer
            mobile_web:
              type: integer
            ios:
              type: integer
            android:
              type: integer
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````